%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             hibernate-jpa-2.0-api
Version:          1.0.1
Release:          %mkrel 19
Group:            Development/Java
Summary:          Java Persistence 2.0 (JSR 317) API
License:          EPL and BSD
URL:              http://www.hibernate.org/
# svn export http://anonsvn.jboss.org/repos/hibernate/jpa-api/tags/hibernate-jpa-2.0-api-1.0.1.Final/ hibernate-jpa-2.0-api-1.0.1.Final
# tar -zcvf hibernate-jpa-2.0-api-1.0.1.Final.tar.gz hibernate-jpa-2.0-api-1.0.1.Final
Source0:          %{name}-%{namedversion}.tar.gz
Patch0:           %{name}-%{namedversion}-encoding.patch
Patch1:           %{name}-%{namedversion}-osgi-manifest.patch

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    maven-release-plugin

%description
Hibernate definition of the Java Persistence 2.0 (JSR 317) API.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1
%patch1 -p1

%pom_xpath_remove pom:build/pom:extensions

%pom_remove_plugin :maven-source-plugin

# Fixing wrong-file-end-of-line-encoding
sed -i 's/\r//' src/main/javadoc/jdstyle.css

%build
%mvn_build

%install
# Fixing wrong-file-end-of-line-encoding
sed -i 's/\r//' target/site/apidocs/jdstyle.css
%mvn_install

%files -f .mfiles
%doc readme.txt
%license license.txt

%files javadoc -f .mfiles-javadoc
%license license.txt




%changelog
* Sun May 14 2017 neoclust <neoclust> 1.0.1-19.mga6
+ Revision: 1101339
- fix BR list
- adapt to current guideline
- introduce license macro
- fix some rpmlint problem

* Wed Mar 02 2016 neoclust <neoclust> 1.0.1-18.mga6
+ Revision: 982413
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0.1-17.mga6
+ Revision: 976388
- First rebuild of the java stack
- sync package hibernate-jpa-2.0-api with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sat Jan 24 2015 daviddavid <daviddavid> 1.0.1-13.mga5
+ Revision: 812148
- Sync with fc21

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-12.mga5
+ Revision: 747891
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Dec 20 2013 dmorgan <dmorgan> 1.0.1-10.mga4
+ Revision: 559138
- Removed wagon extension
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.1-8.mga3
+ Revision: 353219
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 dmorgan <dmorgan> 1.0.1-7.mga3
+ Revision: 330518
- Use final tarball

* Fri Aug 05 2011 dmorgan <dmorgan> 1.0.1-1.mga2
+ Revision: 131946
- Fix groups
- Remove changelog

  + gil <gil>
    - fedora JBoss Packaging Effort
    - imported package hibernate-jpa-2.0-api


* Mon Jul 11 2011 gil <gil> 1.0.1-0.%%mkrel
- initial rpm
